# Summary

Occuspace provides a powerful and flexible REST API for customers to obtain their occupancy data programmatically. This API provides both real-time and historical data for Occuspace-enabled locations, and is available to any active customer.

This documentation provides the background necessary to access and understand the various endpoints that comprise this API.

{% hint style="info" %}
There are a variety of different data sets and aggregations provided by Occuspace in this API, and it is important to use the correct configuration for your given use case. We highly encourage our customers to reach out to us when starting to use this API. Occuspace Customer Success Managers can help identify which particular metric, data set, and aggregation makes the most sense to utilize.
{% endhint %}

{% content-ref url="authentication" %}
[authentication](https://docs.occuspace.io/api-reference/authentication)
{% endcontent-ref %}

{% content-ref url="error-handling" %}
[error-handling](https://docs.occuspace.io/api-reference/error-handling)
{% endcontent-ref %}

{% content-ref url="pagination" %}
[pagination](https://docs.occuspace.io/api-reference/pagination)
{% endcontent-ref %}

{% content-ref url="filters" %}
[filters](https://docs.occuspace.io/api-reference/filters)
{% endcontent-ref %}

{% content-ref url="locations" %}
[locations](https://docs.occuspace.io/api-reference/locations)
{% endcontent-ref %}

{% content-ref url="metrics" %}
[metrics](https://docs.occuspace.io/api-reference/metrics)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.occuspace.io/api-reference/summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
